# $Revision: 1.38.4.3 $, $Date: 2006/08/02 17:17:29 $
Summary:	Default GTK+2 theme engines
Summary(pl):	Motywy do GTK+2
Name:		gtk2-engines
Version:	2.6.10
Release:	1
Epoch:		1
License:	GPL
Group:		Themes/GTK+
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/2.6/gtk-engines-%{version}.tar.bz2
# Source0-md5:	f3e2b14b0cff0988277ccba42e69813d
URL:		http://gtk.themes.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.6.18
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gtk+2 >= 2:2.6.18
Provides:	gnome-themes-Clearlooks
Provides:	gnome-themes-LighthouseBlue
Provides:	gnome-themes-ThinIce
Provides:	gtk2-theme-engine-Clearlooks
Provides:	gtk2-theme-engine-Industrial
Provides:	gtk2-theme-engine-Smooth
Provides:	gtk2-theme-engine-ThinIce
Provides:	gtk2-theme-engine-lighthouseblue
Obsoletes:	gnome-themes-LighthouseBlue
Obsoletes:	gnome-themes-ThinIce
Obsoletes:	gtk-engines = 1.9.0
Obsoletes:	gtk2-theme-engine-Industrial
Obsoletes:	gtk2-theme-engine-Smooth
Obsoletes:	gtk2-theme-engine-ThinIce
Obsoletes:	gtk2-theme-engine-lighthouseblue
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are the graphical engines for the various GTK+ toolkit themes.

%description -l pl
Pakiet ten zawiera moduy rnych motyww do biblioteki Gtk+.

%prep
%setup -q -n gtk-engines-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# .la are not needed (according to spec included to package)
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gdk-pixbuf-query-loaders >%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
exit 0

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{_datadir}/themes/Clearlooks
%{_datadir}/themes/Crux
%{_datadir}/themes/Industrial/*
%{_datadir}/themes/LighthouseBlue
%{_datadir}/themes/Metal/*
%{_datadir}/themes/Mist
%{_datadir}/themes/Redmond
%{_datadir}/themes/ThinIce/*
%dir %{_libdir}/gtk-2.0/*/engines
%attr(755,root,root) %{_libdir}/gtk-2.0/*/engines/*.so
%{_pkgconfigdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk2-engines.spec,v $
Revision 1.38.4.3  2006/08/02 17:17:29  freetz
- 2.6.10

Revision 1.38.4.2  2006/05/31 19:18:57  freetz
- 2.6.9, GNOME 2.14.2 deps

Revision 1.38.4.1  2006/05/15 14:42:03  baggins
- up to 2.6.8

Revision 1.39  2006/03/13 21:05:04  freetz
- 2.6.8

Revision 1.38  2006/01/08 21:25:16  freetz
- 2.6.7

Revision 1.37  2005/11/29 09:01:52  freetz
- 2.6.6

Revision 1.36  2005/08/24 07:12:40  paladine
- updated to 2.6.5
- sorted and fixed %%files

Revision 1.35  2005/07/27 19:42:55  freetz
- 2.6.4, makefile path already included

Revision 1.34  2005/04/12 19:12:10  freetz
- 2.6.3, makefile patch added, ready for STBR

Revision 1.33  2005/03/07 21:58:16  wiget
- updated to 2.6.2

Revision 1.32  2005/02/08 19:20:51  grzegol
- updated to 2.6.1

Revision 1.31  2005/01/13 15:05:00  ankry
- more P:/O:, rel. 3

Revision 1.30  2005/01/13 11:02:37  krzak
- rel. 2
- more Provides:
  gnome-themes-LighthouseBlue
  gnome-themes-ThinIce
  gtk2-theme-engine-Industrial
  gtk2-theme-engine-Smooth

Revision 1.29  2005/01/11 23:52:04  aflinta
- version 2.6.0

Revision 1.28  2004/12/19 09:06:44  aflinta
- libpixmap.so is in GTK 2.6.0 now, release 6

Revision 1.27  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.26  2004/11/27 16:56:51  zbyniu
- BR: pkgconfig

Revision 1.25  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.24  2004/09/17 22:58:01  havner
- don't own Metal dir
- rel 5

Revision 1.23  2004/09/12 20:04:58  adamg
- proper group (Themes/GTK+)
- release 4

Revision 1.22  2004/04/01 12:23:39  grzegol
- cosmetics

Revision 1.21  2004/03/17 01:23:46  grzegol
- rel. 3 to rebuild with gtk+2-2.4.0

Revision 1.20  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.19  2003/05/25 05:48:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/12 20:26:22  aflinta
- release 2

Revision 1.17  2003/05/12 09:20:45  qboosh
- removed unneeded *.la for modules

Revision 1.16  2003/03/02 12:25:27  qboosh
- %%{_libdir}/gtk-2.0/2.2.*/engines dir belongs to gtk+2 now

Revision 1.15  2003/02/23 23:40:22  ankry
- s/temat/motyw/g

Revision 1.14  2003/01/18 16:20:44  aflinta
- updated to version 2.2.0

Revision 1.13  2003/01/17 13:41:23  qboosh
- fixed Source0 URL

Revision 1.12  2003/01/17 11:07:22  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.11  2002/12/24 01:28:51  wrobell
- fixed build and install requirements (gtk+2 introduced new directory
  structure)
- rel. 8

Revision 1.10  2002/12/17 20:32:01  grzegol
- fixed to use with new gtk+2; rel.7

Revision 1.9  2002/12/04 20:56:07  aflinta
- moved from /usr/X11R6 to /usr, release 6

Revision 1.8  2002/11/15 14:58:43  wrobell
- removed too strong gtk+ installation requirement

Revision 1.7  2002/11/03 21:28:38  grzegol
- rel. 5 rebuild against gtk+2-2.1.2

Revision 1.6  2002/10/24 22:07:01  malekith
- release 4

Revision 1.5  2002/10/17 17:49:43  malekith
- %%requires_eq gtk+2 since directory where modules go is versioned
- release 3

Revision 1.4  2002/10/16 12:57:01  trojan
- last fix (I hope); STBR

Revision 1.3  2002/10/16 11:56:59  trojan
- more fixes (think trojan, think)

Revision 1.2  2002/10/16 11:51:18  trojan
- some fixes

Revision 1.1  2002/10/16 11:49:59  trojan
- initial from gtk-engines.spec branch DEVEL

Revision 1.38.2.3  2002/10/15 19:18:29  grzegol
- fixed %%files (now works with gtk+2.1.1 too)
- fixed Source0
- rel. 2

Revision 1.38.2.2  2002/09/30 14:29:40  kura
- update to gtk+-2.1.0 (s/2.0.0/2.0.100/)

Revision 1.38.2.1  2002/05/22 21:31:14  michuz
- 1.9.0

Revision 1.38  2002/05/21 23:13:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.37  2002/04/25 16:31:07  arturs
fixed a small typo

Revision 1.36  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.35  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/12/04 06:21:46  kloczek
- release 4.

Revision 1.32  2001/12/02 20:19:13  filon
- changes in %%description, theres is also Raleigh theme

Revision 1.31  2001/09/26 11:23:50  kloczek
- release 3: added "rm -f missing" on top %build.

Revision 1.30  2001/09/26 11:05:38  qboosh
- BuildRequires: automake

Revision 1.29  2001/07/12 14:54:36  kloczek
- release 2,
- make spec ac 2.50 ready: regenerate ac/am/lt files.

Revision 1.28  2001/03/16 21:15:19  kloczek
- updated to 0.12.

Revision 1.27  2001/03/13 10:10:01  kloczek
- changed Group to Themes/Gtk.

Revision 1.26  2001/03/13 10:06:36  kloczek
- updated to 0.11.

Revision 1.25  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.22  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.21  2000/04/04 07:18:24  arturs
- added missing -l pl

Revision 1.20  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.19  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.18  2000/03/17 08:06:05  kloczek
- updated to 0.10.

Revision 1.17  2000/01/12 23:04:17  kloczek
- updated to 0.9,
- adapter(ized).

Revision 1.16  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.15  1999/09/22 16:24:39  kloczek
- updated to 0.7.

Revision 1.14  1999/08/02 21:27:38  kloczek
- include to package %%{_datadir}/themes/{Metal,Notif,Redmond95},
- change permission to 755 on lib*.la files.

Revision 1.13  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/17 12:14:42  pius
- spec file cleanup.

Revision 1.11  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
